tile

Functions
tile
Complete List of ArrayFire Functions ArrayFire Functions by Category » Functions to create and modify Arrays » | Move and Reorder array content

Tile the input array along specified dimensions. More...

## Functions
AFAPI array | tile (const array &in, const unsigned x, const unsigned y=1, const unsigned z=1, const unsigned w=1)
AFAPI array | tile (const array &in, const dim4 &dims)
AFAPI af_err | af_tile (af_array *out, const af_array in, const unsigned x, const unsigned y, const unsigned z, const unsigned w)

## Detailed Description

Tile the input array along specified dimensions.

Creates copys of the array a specified number of times within the output array

## Function Documentation

## § af_tile()

AFAPI af_err af_tile | ( | af_array * | out,
|  | const af_array | in,
|  | const unsigned | x,
|  | const unsigned | y,
|  | const unsigned | z,
|  | const unsigned | w
| ) |  |

Parameters

  [out] | out | is the generated array
  [in] | in | is the input matrix
  [in] | x | is the number of times `in` is tiled along first dimension
  [in] | y | is the number of times `in` is tiled along second dimension
  [in] | z | is the number of times `in` is tiled along third dimension
  [in] | w | is the number of times `in` is tiled along fourth dimension

## § tile() [1/2]

AFAPI array af::tile | ( | const array & | in,
|  | const unsigned | x,
|  | const unsigned | y = `1`,
|  | const unsigned | z = `1`,
|  | const unsigned | w = `1`
| ) |  |

Parameters

  [in] | in | is the input array
  [in] | x | is the number of times `in` is tiled along first dimension
  [in] | y | is the number of times `in` is tiled along second dimension
  [in] | z | is the number of times `in` is tiled along third dimension
  [in] | w | is the number of times `in` is tiled along fourth dimension

Returns
  the tiled output

Examples:
  computer_vision/matching.cpp, financial/black_scholes_options.cpp, getting_started/vectorize.cpp, graphics/conway_pretty.cpp, graphics/field.cpp, graphics/gravity_sim.cpp, image_processing/filters.cpp, image_processing/image_editing.cpp, machine_learning/bagging.cpp, machine_learning/deep_belief_net.cpp, machine_learning/kmeans.cpp, machine_learning/knn.cpp, machine_learning/naive_bayes.cpp, machine_learning/rbm.cpp, and pde/swe.cpp.

## § tile() [2/2]

AFAPI array af::tile | ( | const array & | in,
|  | const dim4 & | dims
| ) |  |

Parameters

  [in] | in | is the input array
  [in] | dims | dim4 of tile dimensions

Returns
  the tiled output